D2. Flow: subst'd templates aren't subst'd (CA)
Closed, ResolvedPublic

Description

Currently, a {{subst:template}} is not getting subst'd properly. It just appears as plaintext.
2 examples at https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Flow/Developer_test_page&workflow=rw60o5ujcgk6sn8f

(See [[m:Help:Substitution]] for technical specs)


Version: unspecified
Severity: normal
URL: https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Flow/Developer_test_page&workflow=rw60o5ujcgk6sn8f

bzimport added a project: Flow.Via ConduitNov 22 2014, 3:24 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz66307.
Quiddity created this task.Via LegacyJun 7 2014, 5:22 AM
Mattflaschen triaged this task as "Normal" priority.Via WebDec 10 2014, 7:36 PM
Mattflaschen added a subscriber: Mattflaschen.
Quiddity removed a subscriber: Maryana.Via WebDec 19 2014, 1:26 AM
Sunpriat awarded a token.Via WebMar 30 2015, 5:50 PM
Restricted Application added a project: Collaboration-Team-Backlog. · View Herald TranscriptVia HeraldMar 30 2015, 5:50 PM
Sunpriat added a subscriber: Sunpriat.Via WebMar 30 2015, 5:50 PM
Spage removed a subscriber: Spage.Via WebApr 6 2015, 8:35 PM
Gerardduenas awarded a token.Via WebMay 5 2015, 2:04 PM
Gerardduenas added a subscriber: Gerardduenas.
Gerardduenas added a comment.Via WebMay 5 2015, 2:06 PM

Another example here.

Mattflaschen added a project: Parsoid.Via WebMay 5 2015, 4:20 PM
marcoil added a subscriber: marcoil.Via WebMay 5 2015, 4:23 PM
DannyH moved this task to Team discussion on the Collaboration-Team-Backlog workboard.Via WebMay 5 2015, 10:37 PM

@Gerardduenas Thanks for bumping this ticket. We'll talk about it at the team's next estimation meeting.

DannyH moved this task to Backlog on the Collaboration-Team-Backlog workboard.Via WebJun 2 2015, 8:33 PM
DannyH changed the title from "Flow: subst'd templates aren't subst'd" to "Flow: subst'd templates aren't subst'd (CA)".Via WebJun 11 2015, 9:10 PM
DannyH set Security to None.
DannyH moved this task to Team discussion on the Collaboration-Team-Backlog workboard.
ssastry added a subscriber: ssastry.Via WebJun 11 2015, 9:29 PM

Parsoid API now has support for subst-ing of templates ( https://gerrit.wikimedia.org/r/#/c/208993/ ) which Flow could use for this purpose. We are yet to update our API docs.

gerritbot added a subscriber: gerritbot.Via ConduitJun 16 2015, 1:47 AM

Change 218574 had a related patch set uploaded (by Catrope):
Run pre-save transform on wikitext before saving it

https://gerrit.wikimedia.org/r/218574

gerritbot added a project: Patch-For-Review.Via ConduitJun 16 2015, 1:47 AM
Catrope claimed this task.Via WebJun 16 2015, 1:49 AM
Catrope removed a project: Parsoid.
Sunpriat added a comment.Via WebJun 16 2015, 8:34 AM

And please check
to in header of a topic when creating or changing first subst transform , and then save

see subst:CONTENTLANG in https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%BC%D0%B0:Shhqnuw5kngudt55

DannyH changed the title from "Flow: subst'd templates aren't subst'd (CA)" to "D2. Flow: subst'd templates aren't subst'd (CA)".Via WebJun 16 2015, 7:21 PM
DannyH moved this task to Needs Review on the Collaboration-Team-Sprint-D-2015-06-30 workboard.
marcoil removed a subscriber: marcoil.Via WebJun 17 2015, 7:12 AM
gerritbot added a comment.Via ConduitJun 17 2015, 12:04 PM

Change 218574 merged by jenkins-bot:
Run pre-save transform on wikitext before saving it

https://gerrit.wikimedia.org/r/218574

SBisson moved this task to QA Review on the Collaboration-Team-Sprint-D-2015-06-30 workboard.Via WebJun 17 2015, 12:05 PM
Etonkovidova added a subscriber: Etonkovidova.Via WebJun 17 2015, 11:06 PM

Checked on http://en.wikipedia.beta.wmflabs.org/wiki/.

{{subst:#ifeq:{{subst:CONTENTLANG}}|en||''Apologies for writing in English, please help translate this into your local language.''}}

results in

However, I am not sure that the following is expected:

  • {{subst:Discussió:ET1}} results in the error message <span class="error">Discussions cannot be embedded yet.</span>
  • {{subst:Portada}} results in
{{Introducció de la portada}}
{| border="0" style="margin-top: 5px;"
| width="60%" valign="top" style="padding-right: 5px;" |
{{Metacaixa elements enciclopèdics a la portada|
|{{{1}}}=seleccionada
|Secció={{{1}}}
|Dependència={{{2}}}
}}{{Metacaixa elements sobre la Viquipèdia a la portada|
|{{{2}}}=seleccionada
|Secció={{{2}}}
|Dependència={{{1}}}
}}
| width="40%" valign="top" style="padding-left: 5px;" | {{Categories|una columna}}
|}
__NOTOC__ __NOEDITSECTION__
DannyH moved this task to Done on the Collaboration-Team-Sprint-D-2015-06-30 workboard.Via WebJun 17 2015, 11:57 PM
Sunpriat added a comment.Via WebJun 20 2015, 7:38 AM

@DannyH When it comes to Wikipedia?
ru-wiki 1.26wmf10 (3e9c667) 01:57, 17 06 2015 but
substitution not yet working https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%BC%D0%B0:Sjkk3xqrgi2u68rs

Mattflaschen added a comment.Via WebJun 22 2015, 6:52 AM

Unfortunately, Forrestbot was wrong (T103291: Forrestbot posted wrong release branch).

This is not in any release branches yet.

Also, it will not apply to topic titles like https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%BC%D0%B0:Shhqnuw5kngudt55 . Flow topic titles do not support wikitext.

However, I am not sure that the following is expected:

  • {{subst:Discussió:ET1}} results in the error message <span class="error">Discussions cannot be embedded yet.</span>

This is expected. Subst-ing in a Flow board is not possible. Transcluding a discussion could make sense (but would require some careful consideration of the feature), but substing probably wouldn't.

  • {{subst:Portada}} results in

This template probably just isn't intended to be subst-ed. But that template doesn't exist, and I don't get that result at either http://en.wikipedia.beta.wmflabs.org/wiki/Topic:Sjoxzoqv6drmilg8 or http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Sandbox&oldid=229341

DannyH moved this task to Resolved on the Collaboration-Team-Backlog workboard.Via WebJun 22 2015, 5:21 PM
Legoktm removed a subscriber: Forrestbot.Via WebJun 29 2015, 5:50 PM

Add Comment